package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 账户变更冻结类型
 * @Author: liweifan
 * @Data: 2022/4/7 20:07
 */
public enum  FrozenTypeEnum implements BaseEnum<String, FrozenTypeEnum> {
    NONE("无"),
    FROZEN("冻结"),
    FROZEN_DEDUCT("冻结后交易成功"),
    FROZEN_BACK("冻结后退回");
    @EnumValue
    private String code;
    private String msg;



    FrozenTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
